#!/bin/bash

################################################################################
# Copy all files from $FILEBEAT_CONFIG_MOUNT to their corresponding directory
# and respect destination files permissions.
################################################################################

FILEBEAT_CONFIG_MOUNT=/filebeat-config-mount
CERTIFICATES_INSTALL_PATH=/etc/ssl
FILEBEAT_CONFIG_INSTALL_PATH=/etc/filebeat
FILEBEAT_VAR_INSTALL_PATH=/var/lib/filebeat

if [ -e "${FILEBEAT_CONFIG_MOUNT}" ]; then
  print "Identified Filebeat files to copy..."
  cp -r ${FILEBEAT_CONFIG_MOUNT}/${CERTIFICATES_INSTALL_PATH}/* ${CERTIFICATES_INSTALL_PATH}/
  cp -r ${FILEBEAT_CONFIG_MOUNT}/${FILEBEAT_CONFIG_INSTALL_PATH}/* ${FILEBEAT_CONFIG_INSTALL_PATH}/
  cp -r ${FILEBEAT_CONFIG_MOUNT}/${FILEBEAT_VAR_INSTALL_PATH}/* ${FILEBEAT_VAR_INSTALL_PATH}/
else
  print "No Filebeat files to mount..."
fi
