#!/bin/bash

echo -e "Eliminación de la plataforma Wazuh\n"

if [ ! -z "$(docker compose down)" ]; then
  echo -e "\nEliminación de contenedores y redes..."
else
  echo -e "\nNo hay contenedores ni redes que eliminar"
fi



if [ ! -z "$(docker volume ls -q)" ]; then
  echo -e "\nEliminación de volúmenes..."
  docker volume rm $(docker volume ls -q)
else
  echo -e "\nNo hay volúmenes que eliminar"    
fi

if [ ! -z "$(docker image ls -q)" ]; then
   echo -e "\nEliminación de imágenes..."
   docker image rm $(docker image ls -q) -f
else
  echo -e "\nNo hay imágenes que eliminar"    
fi

